Status: New Priority: Could have
Author: Adrian Föder Category: Persistence
Created: 2014-02-13 Assigned To:
Updated: 2015-02-16 Due date:
Sprint:
PHP Version:
Has patch: No
Complexity:
Subject: Repair and streamline ValueObject support
Description

This is intended to be a wrapper task for various bugs and conspicuousnesses regarding Flow's ValueObject support

Subtasks:
Bug # 37357: more suitable ValueObject hash creation for DateTime cases Resolved
Bug # 51236: ValueObject Identity generation broken in some cases Resolved
Bug # 55954: Associations to ValueObjects should not be cascade all'd New
Feature # 51405: Fix OneTo* associations from ValueObjects Rejected
Bug # 54046: Removal of ValueObjects from a ManyToMany relationship is not possible New
Feature # 59672: Add support for Doctrine 2.5 embeddables Under Review

History
#1 - 2014-03-05 00:18 - Alexander Berl
- Estimated time set to 0.00

Doctrine 2.5 will finally support ValueObjects in the form of @Embedded/@Embeddable:
https://github.com/doctrine/doctrine2/pull/835
https://github.com/schmittjoh/doctrine2/commit/9ad376c0064fae0c8ae6f6c3e15406936323727c

However, it still does not feature collections of ValueObjects in that manner:
http://www.doctrine-project.org/jira/browse/DDC-2826

Also ValueObjects containing ValueObjects is not currently possible.

Still, this is a huge step forward in regards to properly designing Domain Models, so should be supported in Flow.
I suggest providing some way of annotating ValueObject to behave as is (quasi entity object) or as embeddable.

#2 - 2014-06-23 11:08 - Alexander Berl
- Estimated time deleted (0.00)

#3 - 2015-01-29 16:03 - Bastian Waidelich
- Remaining (hours) deleted (0.0)

It would be great if we could tackle this for Flow 3.0 (feature freeze in 2 weeks). I'll happily help reviewing and testing!
Can we maybe move the remaining open issues to jira.typo3.org?
